Name:		physfs
Version:	1.0.1
Release:	7%{?dist}
License:	zlib
Group:		System Environment/Libraries
Summary:	Library to provide abstract access to various archives
URL:		http://www.icculus.org/physfs/
Source0:	http://www.icculus.org/physfs/downloads/physfs-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	doxygen, zlib-devel, readline-devel

%description
PhysicsFS is a library to provide abstract access to various archives. It is
intended for use in video games, and the design was somewhat inspired by Quake 
3's file subsystem. The programmer defines a "write directory" on the physical 
filesystem. No file writing done through the PhysicsFS API can leave that 
write directory, for security. For example, an embedded scripting language 
cannot write outside of this path if it uses PhysFS for all of its I/O, which 
means that untrusted scripts can run more safely. Symbolic links can be 
disabled as well, for added safety. For file reading, the programmer lists 
directories and archives that form a "search path". Once the search path is 
defined, it becomes a single, transparent hierarchical filesystem. This makes 
for easy access to ZIP files in the same way as you access a file directly on 
the disk, and it makes it easy to ship a new archive that will override a 
previous archive on a per-file basis. Finally, PhysicsFS gives you 
platform-abstracted means to determine if CD-ROMs are available, the user's 
home directory, where in the real filesystem your program is running, etc.

%package devel
Summary:	Development libraries and headers for physfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries and headers necessary for developing
packages with physfs functionality.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m0644 docs/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

# Handle man page conflicts (bz #183705)
mv $RPM_BUILD_ROOT%{_mandir}/man3/author.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-author.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/description.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-description.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/extension.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-extension.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/major.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-major.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/minor.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-minor.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/patch.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-patch.3
mv $RPM_BUILD_ROOT%{_mandir}/man3/url.3 $RPM_BUILD_ROOT%{_mandir}/man3/physfs-url.3

# Fix multilib conflicts
touch -r LICENSE docs/html/*
touch -r LICENSE docs/latex/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGELOG CREDITS LICENSE TODO
%{_libdir}/*.so.*
%{_bindir}/test_physfs

%files devel
%defattr(-,root,root,-)
%doc docs/html/ docs/latex/
%{_includedir}/physfs.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-7
- fix multilib conficts

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-6
- fix license tag, rebuild for BuildID

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-5
- bump for fc6

* Tue Mar  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-4
- resolve man page conflicts (bz #183705)

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-3
- bump for FC-5

* Fri Sep 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-2
- add docs for devel

* Fri Aug 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1
- initial package for Fedora Extras
